GDB (xrefs)

Functions | Variables
/tmp/gdb-8.1/gdb/record-full.h File Reference

Go to the source code of this file.

## Functions
int | record_full_arch_list_add_reg (struct regcache *regcache, int num)
int | record_full_arch_list_add_mem (CORE_ADDR addr, int len)
int | record_full_arch_list_add_end (void)
int | record_full_is_used (void)
scoped_restore_tmpl< int > | record_full_gdb_operation_disable_set ()

## Variables
int | record_full_memory_query

## Function Documentation

## ◆ record_full_arch_list_add_end()

int record_full_arch_list_add_end | ( | void |  | ) |

Definition at line 522 of file record-full.c.

References record_full_entry::end, fprintf_unfiltered(), gdb_stdlog, record_full_end_entry::insn_num, record_debug, record_full_arch_list_add(), record_full_end_alloc(), record_full_insn_count, record_full_end_entry::sigval, and record_full_entry::u.

Referenced by aarch64_process_record(), amd64_linux_record_signal(), arm_process_record(), i386_linux_record_signal(), i386_process_record(), moxie_process_record(), ppc_linux_record_signal(), ppc_process_record(), record_full_registers_change(), record_full_xfer_partial(), s390_linux_record_signal(), and s390_process_record().

## ◆ record_full_arch_list_add_mem()

int record_full_arch_list_add_mem | ( | CORE_ADDR | addr,
|  | int | len
| ) |  |

Definition at line 491 of file record-full.c.

References fprintf_unfiltered(), gdb_stdlog, paddress(), record_debug, record_full_arch_list_add(), record_full_get_loc(), record_full_mem_alloc(), record_full_mem_release(), record_read_memory(), and target_gdbarch().

Referenced by aarch64_process_record(), amd64_linux_record_signal(), amd64_linux_syscall_record_common(), arm_process_record(), i386_linux_record_signal(), i386_process_record(), i386_record_lea_modrm(), i386_record_push(), moxie_process_record(), ppc_linux_record_signal(), ppc_process_record(), ppc_process_record_op31(), ppc_process_record_op61(), record_full_xfer_partial(), record_linux_msghdr(), record_linux_sockaddr(), record_linux_system_call(), record_mem_at_reg(), s390_linux_record_signal(), and s390_process_record().

## ◆ record_full_arch_list_add_reg()

int record_full_arch_list_add_reg | ( | struct regcache * | regcache,
|  | int | num
| ) |  |

Definition at line 468 of file record-full.c.

References fprintf_unfiltered(), gdb_stdlog, record_debug, record_full_arch_list_add(), record_full_get_loc(), record_full_reg_alloc(), regcache_raw_read(), and regnum.

Referenced by aarch64_all_but_pc_registers_record(), aarch64_linux_syscall_record(), aarch64_process_record(), amd64_all_but_ip_registers_record(), amd64_linux_record_signal(), amd64_linux_syscall_record_common(), arm_all_but_pc_registers_record(), arm_linux_syscall_record(), arm_process_record(), i386_all_but_ip_registers_record(), i386_linux_intx80_sysenter_syscall_record(), i386_linux_record_signal(), i386_process_record(), i386_record_floats(), i386_record_push(), moxie_process_record(), ppc_linux_record_signal(), ppc_linux_syscall_record(), ppc_process_record(), ppc_process_record_op19(), ppc_process_record_op31(), ppc_process_record_op4(), ppc_process_record_op59(), ppc_process_record_op60(), ppc_process_record_op63(), ppc_record_vsr(), record_full_registers_change(), s390_all_but_pc_registers_record(), s390_linux_record_signal(), s390_linux_syscall_record(), s390_process_record(), s390_record_gpr_g(), s390_record_gpr_h(), and s390_record_vr().

## ◆ record_full_gdb_operation_disable_set()

scoped_restore_tmpl<int> record_full_gdb_operation_disable_set | ( |  | ) |

Definition at line 662 of file record-full.c.

References make_scoped_restore(), and record_full_gdb_operation_disable.

Referenced by adjust_pc_after_break(), handle_signal_stop(), record_full_goto_insn(), record_full_insert_breakpoint(), record_full_remove_breakpoint(), record_full_save(), and record_full_wait_1().

## ◆ record_full_is_used()

int record_full_is_used | ( | void |  | ) |

Definition at line 216 of file record-full.c.

References find_record_target(), record_full_core_ops, and record_full_ops.

Referenced by adjust_pc_after_break(), handle_signal_stop(), and s390_software_single_step().

## Variable Documentation

## ◆ record_full_memory_query

int record_full_memory_query

Definition at line 161 of file record-full.c.

Referenced by _initialize_record_full(), i386_process_record(), i386_record_lea_modrm(), and record_linux_system_call().